import logging

from portal.facade.general_facade import GeneralCRUDFacade
from portal.service.reviews import ReviewService

log = logging.getLogger(__name__)


class ReviewsFacade(GeneralCRUDFacade):
    def __init__(self):
        super().__init__(ReviewService, 'Review')

    def create(self, submission, **data):
        if not submission.review:
            self._service(submission=submission).create()

        params = dict(items=data['review_items'], author=self.client)
        result = self._service(submission=submission).create_review_items(**params)
        return result
